vpnc issues on openSUSE 10.3

After a fresh and patched install of openSUSE 10.3, I got the following error when trying to use vpnc to connect to my favourite VPN gateway:

Error: either “to” is duplicate or “hoplimit” is garbage

To fix it, simply edit /usr/share/vpnc/vpnc-script like this:

if [ -n “$IPROUTE” ]; then
fix_ip_get_output () {
sed ‘s/cache//;s/metric[ 0-9]\+//g;s/hoplimit [ 0-9]\+//g’
# sed ‘s/cache//;s/metric[0-9]\+ [0-9]\+//g’
}